Package com.independentsoft.office.odf

# Class AttributedText

java.lang.Object
com.independentsoft.office.odf.AttributedText

All Implemented Interfaces:
  `IContentElement`, `IParagraphContent`

public class AttributedText extends Object implements IParagraphContent
Represents the application of a style to the character content of a portion of text. The content of this class is the text which uses that text style.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AttributedText()`
  Initializes a new instance of the AttributedText class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `add​(Annotation annotation)`
  Adds an Annotation object to the content.
  `void`
  `add​(AttributedText attributedText)`
  Adds an AttributedText object to the content.
  `void`
  `add​(Bookmark bookmark)`
  Adds a Bookmark object to the content.
  `void`
  `add​(BookmarkEnd bookmarkEnd)`
  Adds a BookmarkEnd object to the content.
  `void`
  `add​(BookmarkStart bookmarkStart)`
  Adds a BookmarkStart object to the content.
  `void`
  `add​(Change change)`
  Adds a Change object to the content.
  `void`
  `add​(ChangeEnd changeEnd)`
  Adds a ChangeEnd object to the content.
  `void`
  `add​(ChangeStart changeStart)`
  Adds a ChangeStart object to the content.
  `void`
  `add​(Shape shape)`
  Adds a Shape object to the content.
  `void`
  `add​(Field field)`
  Adds a Field object to the content.
  `void`
  `add​(Hyperlink hyperlink)`
  Adds a Hyperlink object to the content.
  `void`
  `add​(IParagraphContent paragraphContent)`
  Adds an IParagraphContent object to the content.
  `void`
  `add​(Note note)`
  Adds a Note object to the content.
  `void`
  `add​(PointReference pointReference)`
  Adds a PointReference object to the content.
  `void`
  `add​(RangeReference rangeReference)`
  Adds a RangeReference object to the content.
  `void`
  `add​(Ruby ruby)`
  Adds a Ruby object to the content.
  `void`
  `add​(Text text)`
  Adds a Text object to the content.
  `void`
  `add​(String text)`
  Adds a String object to the content.
  `void`
  `addLineBreak()`
  Adds a single line break to the content.
  `void`
  `addSpace()`
  Adds a single space to the content.
  `void`
  `addSpace​(int spaceCount)`
  Adds a single space to the content.
  `void`
  `addTab()`
  Adds a single tab to the content.
  `AttributedText`
  `clone()`
  Creates a new object that is a deep copy of the current instance.
  `String`
  `getClassNames()`
  Gets a white space separated list of style names.
  `List<IParagraphContent>`
  `getContent()`
  Contains the content.
  `List<IContentElement>`
  `getContentElements()`
  Returns all content elements.
  `IContentElement`
  `getParent()`
  Returns the parent content element.
  `String`
  `getStyle()`
  Gets the style by name, with the additional requirement that it belong to a family of styles.
  `void`
  `setClassNames​(String classNames)`
  Sets a white space separated list of style names.
  `void`
  `setParent​(IContentElement parent)`
  Sets the parent content element.
  `void`
  `setStyle​(String style)`
  Sets the style by name, with the additional requirement that it belong to a family of styles.
  `String`
  `toString()`
  Converts the value of the current AttributedText object to its equivalent string representation.

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### AttributedText

    public AttributedText()
    Initializes a new instance of the AttributedText class.

- ## Method Details

  - ### addSpace

    public void addSpace()
    Adds a single space to the content.

  - ### addSpace

    public void addSpace​(int spaceCount)
    Adds a single space to the content.
    Parameters:
      `spaceCount` - the space count

  - ### addTab

    public void addTab()
    Adds a single tab to the content.

  - ### addLineBreak

    public void addLineBreak()
    Adds a single line break to the content.

  - ### add

    public void add​(String text)
    Adds a String object to the content.
    Parameters:
      `text` - the text

  - ### add

    public void add​(Text text)
    Adds a Text object to the content.
    Parameters:
      `text` - the text

  - ### add

    public void add​(Annotation annotation)
    Adds an Annotation object to the content.
    Parameters:
      `annotation` - the annotation

  - ### add

    public void add​(AttributedText attributedText)
    Adds an AttributedText object to the content.
    Parameters:
      `attributedText` - the attributed text

  - ### add

    public void add​(Hyperlink hyperlink)
    Adds a Hyperlink object to the content.
    Parameters:
      `hyperlink` - the hyperlink

  - ### add

    public void add​(Field field)
    Adds a Field object to the content.
    Parameters:
      `field` - the field

  - ### add

    public void add​(Bookmark bookmark)
    Adds a Bookmark object to the content.
    Parameters:
      `bookmark` - the bookmark

  - ### add

    public void add​(BookmarkStart bookmarkStart)
    Adds a BookmarkStart object to the content.
    Parameters:
      `bookmarkStart` - the bookmark start

  - ### add

    public void add​(BookmarkEnd bookmarkEnd)
    Adds a BookmarkEnd object to the content.
    Parameters:
      `bookmarkEnd` - the bookmark end

  - ### add

    public void add​(Change change)
    Adds a Change object to the content.
    Parameters:
      `change` - the change

  - ### add

    public void add​(ChangeEnd changeEnd)
    Adds a ChangeEnd object to the content.
    Parameters:
      `changeEnd` - the change end

  - ### add

    public void add​(ChangeStart changeStart)
    Adds a ChangeStart object to the content.
    Parameters:
      `changeStart` - the change start

  - ### add

    public void add​(Shape shape)
    Adds a Shape object to the content.
    Parameters:
      `shape` - the shape

  - ### add

    public void add​(Note note)
    Adds a Note object to the content.
    Parameters:
      `note` - the note

  - ### add

    public void add​(Ruby ruby)
    Adds a Ruby object to the content.
    Parameters:
      `ruby` - the ruby

  - ### add

    public void add​(PointReference pointReference)
    Adds a PointReference object to the content.
    Parameters:
      `pointReference` - the point reference

  - ### add

    public void add​(RangeReference rangeReference)
    Adds a RangeReference object to the content.
    Parameters:
      `rangeReference` - the range reference

  - ### add

    public void add​(IParagraphContent paragraphContent)
    Adds an IParagraphContent object to the content.
    Parameters:
      `paragraphContent` - the paragraph content

  - ### getContentElements

    public List<IContentElement> getContentElements()
    Returns all content elements.
    Specified by:
      `getContentElements` in interface `IContentElement`
    Returns:
      A collection of content elements.

  - ### getParent

    public IContentElement getParent()
    Returns the parent content element.
    Specified by:
      `getParent` in interface `IContentElement`
    Returns:
      the parent

  - ### setParent

    public void setParent​(IContentElement parent)
    Sets the parent content element.
    Specified by:
      `setParent` in interface `IContentElement`
    Parameters:
      `parent` - the new parent

  - ### clone

    public AttributedText clone()
    Creates a new object that is a deep copy of the current instance.
    Specified by:
      `clone` in interface `IContentElement`
    Specified by:
      `clone` in interface `IParagraphContent`
    Overrides:
      `clone` in class `Object`
    Returns:
      A new object that is a copy of this instance.

  - ### toString

    public String toString()
    Converts the value of the current AttributedText object to its equivalent string representation.
    Overrides:
      `toString` in class `Object`
    Returns:
      the string

  - ### getContent

    public List<IParagraphContent> getContent()
    Contains the content.
    Returns:
      the content

  - ### getStyle

    public String getStyle()
    Gets the style by name, with the additional requirement that it belong to a family of styles.
    Returns:
      the style

  - ### setStyle

    public void setStyle​(String style)
    Sets the style by name, with the additional requirement that it belong to a family of styles.
    Parameters:
      `style` - the new style

  - ### getClassNames

    public String getClassNames()
    Gets a white space separated list of style names. The referenced styles are applied in the order they are contained in the list.
    Returns:
      the class names

  - ### setClassNames

    public void setClassNames​(String classNames)
    Sets a white space separated list of style names. The referenced styles are applied in the order they are contained in the list.
    Parameters:
      `classNames` - the new class names